Function util(risksig,cons)
    
! 01/06/2021 : Variable explanations and a continuous version of simulation are attached.
    
! utility.f90 is a function to compute utility. 

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Variables explanation !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! risksigz: coefficient of risk aversion parameter
! cons : consumption
    
    Real(8) :: risksig,util,  cons
    Real(8) :: aaa, bbb
    
If (risksig/=1.) then
    If (cons>0.) then
        aaa=cons**(1.0d0-risksig)
        bbb=1.0d0-risksig
        util=aaa/bbb
    else
        util=-1e+8
        print*, 'Negative Consumption'
    end if
else
    If (cons>0.) then
        util=log(cons)
    else
        util=-1e+8
        print*, 'Negative Consumption'
    end if
end if

end function util
